/* ===== CONTACT SECTION ===== */
.contact-wrapper {
    position: relative;
    bottom: -3.75rem;
    margin-top: -3.75rem;
    z-index: 10;
    padding: 0 0.5rem;
}

.contact {
    padding: 1rem;
    background: var(--white);
    border-radius: 1rem;
    box-shadow: 0 0 90px 9px rgba(0, 0, 0, 0.1);
}

@media (min-width: 768px) {
    .contact {
        padding: 2.5rem;
    }
}

@media (min-width: 1024px) {
    .contact {
        padding: 5.5rem;
    }
}

.contact-inner {
    display: flex;
    flex-direction: column-reverse;
    gap: 1.25rem;
}

@media (min-width: 1024px) {
    .contact-inner {
        flex-direction: row;
        justify-content: space-between;
    }
}

@media (min-width: 1280px) {
    .contact-inner {
        gap: 6.4375rem;
    }
}

/* Left side - info */
.contact-info-title {
    font-size: 2.1875rem;
    font-weight: 600;
    white-space: nowrap;
    color: #132238;
    display: none;
}

@media (min-width: 1024px) {
    .contact-info-title {
        display: block;
    }
}

.contact-info-desc {
    font-size: 0.75rem;
    padding-top: 1rem;
    font-weight: 400;
    color: var(--soft-dark);
}

@media (min-width: 363px) {
    .contact-info-desc {
        font-size: 0.875rem;
    }
}

@media (min-width: 640px) {
    .contact-info-desc {
        font-size: 1.125rem;
    }
}

@media (max-width: 1023px) {
    .contact-info-desc {
        text-align: center;
    }
}

/* Address cards */
.contact-addresses {
    margin: 2.1875rem 0;
}

@media (min-width: 640px) and (max-width: 1023px) {
    .contact-addresses {
        display: flex;
        justify-content: space-between;
        align-items: center;
    }
}

.address-card {
    max-width: 21rem;
    padding: 0.75rem;
    display: flex;
    border-radius: 10px;
    background: var(--white);
    cursor: pointer;
    transition: all 450ms ease;
}

@media (min-width: 768px) {
    .address-card {
        padding: 0.9375rem;
    }
}

@media (min-width: 1024px) {
    .address-card {
        padding: 1.5rem;
    }
}

@media (max-width: 639px) {
    .address-card {
        margin: 0 auto;
    }

    .address-card:not(:first-child) {
        margin-top: 0.75rem;
    }
}

.address-card:hover {
    box-shadow: 0 0 37px 5px rgba(0, 0, 0, 0.1);
}

.address-icon {
    height: 2.5rem;
    aspect-ratio: 1;
    background-color: #EDD8FF80;
    border-radius: 4px;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 1.125rem;
    color: var(--picto-primary);
    transition: var(--transition-fast);
    flex-shrink: 0;
}

@media (min-width: 768px) {
    .address-icon {
        height: 3rem;
        font-size: 1.25rem;
    }
}

.address-card:hover .address-icon {
    background-color: var(--picto-primary);
    color: var(--white);
}

.address-text {
    margin-left: 0.8125rem;
}

.address-label {
    font-size: 0.75rem;
    color: #424E60;
    font-weight: 400;
}

@media (min-width: 768px) {
    .address-label {
        font-size: 0.875rem;
    }
}

.address-value {
    font-size: 0.875rem;
    color: #132238;
    font-weight: 500;
}

@media (min-width: 768px) {
    .address-value {
        font-size: 1rem;
    }
}

/* Contact social */
.contact-social {
    width: 100%;
}

@media (max-width: 1023px) {
    .contact-social {
        text-align: center;
    }
}

@media (max-width: 767px) {
    .contact-social {
        margin-bottom: 1rem;
    }
}

/* Right side - form */
.contact-form-wrapper {
    width: 100%;
    overflow-y: auto;
    padding: 1.625rem 0;
}

.contact-form-title {
    font-size: 1.25rem;
    margin-bottom: 0.5rem;
    font-weight: 600;
    color: #132238;
    text-align: center;
}

@media (min-width: 340px) {
    .contact-form-title {
        font-size: 1.5rem;
    }
}

@media (min-width: 640px) {
    .contact-form-title {
        font-size: 1.5rem;
    }
}

@media (min-width: 768px) {
    .contact-form-title {
        font-size: 2.375rem;
    }
}

@media (min-width: 1024px) {
    .contact-form-title {
        display: none;
    }
}

.contact-form-desc {
    font-size: 0.75rem;
    font-weight: 400;
    color: var(--soft-dark);
}

@media (min-width: 363px) {
    .contact-form-desc {
        font-size: 0.875rem;
    }
}

@media (min-width: 640px) {
    .contact-form-desc {
        font-size: 1.125rem;
    }
}

@media (max-width: 1023px) {
    .contact-form-desc {
        text-align: center;
    }
}

.contact-form {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    margin-top: 1rem;
    padding: 0 0.5rem;
}

.contact-form input {
    border: none;
    border-bottom: 2px solid #E6E8EB;
    padding: 0.75rem 0;
    font-size: 0.9375rem;
    outline: none;
    background: transparent;
    width: 100%;
    transition: var(--transition-fast);
}

@media (min-width: 768px) {
    .contact-form input {
        font-size: 1.125rem;
    }
}

.contact-form input:focus {
    border-color: var(--picto-primary);
}

.contact-form input::placeholder {
    color: var(--gray-400);
    font-size: 0.9375rem;
}

@media (min-width: 768px) {
    .contact-form input::placeholder {
        font-size: 1.125rem;
    }
}

.contact-form input:focus::placeholder {
    color: var(--picto-primary);
}

.form-row {
    display: flex;
    gap: 1.25rem;
}

@media (max-width: 362px) {
    .form-row {
        flex-direction: column;
        gap: 1rem;
    }
}

.form-row input:first-child {
    width: 50%;
}

@media (max-width: 362px) {
    .form-row input:first-child {
        width: 100%;
    }
}

.form-submit-btn {
    width: fit-content;
    margin-top: 1.25rem;
    padding: 0.5rem 1rem;
    font-size: 0.8125rem;
    border-radius: 0.25rem;
}

@media (min-width: 768px) {
    .form-submit-btn {
        font-size: 1rem;
        padding: 0.75rem 1rem;
    }
}

@media (min-width: 1024px) {
    .form-submit-btn {
        margin-top: 3.125rem;
    }
}

@media (max-width: 1023px) {
    .form-submit-btn {
        margin: 1.25rem auto 0;
    }
}